/************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 * 
 * Copyright 2008, 2010 Oracle and/or its affiliates. All rights reserved.
 * 
 * Use is subject to license terms.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0. You can also
 * obtain a copy of the License at http://odftoolkit.org/docs/license.txt
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************************/
// !!! GENERATED SOURCE CODE !!!
package org.odftoolkit.odfdom.dom.style.props;

import org.odftoolkit.odfdom.OdfNamespace;
import org.odftoolkit.odfdom.OdfName;
import org.odftoolkit.odfdom.dom.OdfNamespaceNames;

public interface OdfGraphicProperties {
    public final static OdfStyleProperty AmbientColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "ambient-color"));
    public final static OdfStyleProperty BackScale = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "back-scale"));
    public final static OdfStyleProperty BackfaceCulling = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "backface-culling"));
    public final static OdfStyleProperty CloseBack = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "close-back"));
    public final static OdfStyleProperty CloseFront = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "close-front"));
    public final static OdfStyleProperty Depth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "depth"));
    public final static OdfStyleProperty DiffuseColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "diffuse-color"));
    public final static OdfStyleProperty EdgeRounding = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "edge-rounding"));
    public final static OdfStyleProperty EdgeRoundingMode = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "edge-rounding-mode"));
    public final static OdfStyleProperty EmissiveColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "emissive-color"));
    public final static OdfStyleProperty EndAngle = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "end-angle"));
    public final static OdfStyleProperty HorizontalSegments = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "horizontal-segments"));
    public final static OdfStyleProperty LightingMode = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "lighting-mode"));
    public final static OdfStyleProperty NormalsDirection = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "normals-direction"));
    public final static OdfStyleProperty NormalsKind = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "normals-kind"));
    public final static OdfStyleProperty Dr3dShadow = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "shadow"));
    public final static OdfStyleProperty Shininess = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "shininess"));
    public final static OdfStyleProperty SpecularColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "specular-color"));
    public final static OdfStyleProperty TextureFilter = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "texture-filter"));
    public final static OdfStyleProperty TextureGenerationModeX = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "texture-generation-mode-x"));
    public final static OdfStyleProperty TextureGenerationModeY = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "texture-generation-mode-y"));
    public final static OdfStyleProperty TextureKind = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "texture-kind"));
    public final static OdfStyleProperty TextureMode = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "texture-mode"));
    public final static OdfStyleProperty VerticalSegments = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DR3D), "vertical-segments"));
    public final static OdfStyleProperty AutoGrowHeight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "auto-grow-height"));
    public final static OdfStyleProperty AutoGrowWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "auto-grow-width"));
    public final static OdfStyleProperty Blue = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "blue"));
    public final static OdfStyleProperty CaptionAngle = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-angle"));
    public final static OdfStyleProperty CaptionAngleType = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-angle-type"));
    public final static OdfStyleProperty CaptionEscape = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-escape"));
    public final static OdfStyleProperty CaptionEscapeDirection = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-escape-direction"));
    public final static OdfStyleProperty CaptionFitLineLength = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-fit-line-length"));
    public final static OdfStyleProperty CaptionGap = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-gap"));
    public final static OdfStyleProperty CaptionLineLength = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-line-length"));
    public final static OdfStyleProperty CaptionType = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "caption-type"));
    public final static OdfStyleProperty ColorInversion = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "color-inversion"));
    public final static OdfStyleProperty ColorMode = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "color-mode"));
    public final static OdfStyleProperty Contrast = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "contrast"));
    public final static OdfStyleProperty DecimalPlaces = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "decimal-places"));
    public final static OdfStyleProperty EndGuide = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "end-guide"));
    public final static OdfStyleProperty EndLineSpacingHorizontal = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "end-line-spacing-horizontal"));
    public final static OdfStyleProperty EndLineSpacingVertical = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "end-line-spacing-vertical"));
    public final static OdfStyleProperty FitToContour = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "fit-to-contour"));
    public final static OdfStyleProperty FitToSize = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "fit-to-size"));
    public final static OdfStyleProperty FrameDisplayBorder = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "frame-display-border"));
    public final static OdfStyleProperty FrameDisplayScrollbar = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "frame-display-scrollbar"));
    public final static OdfStyleProperty FrameMarginHorizontal = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "frame-margin-horizontal"));
    public final static OdfStyleProperty FrameMarginVertical = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "frame-margin-vertical"));
    public final static OdfStyleProperty Gamma = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "gamma"));
    public final static OdfStyleProperty Green = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "green"));
    public final static OdfStyleProperty GuideDistance = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "guide-distance"));
    public final static OdfStyleProperty GuideOverhang = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "guide-overhang"));
    public final static OdfStyleProperty ImageOpacity = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "image-opacity"));
    public final static OdfStyleProperty LineDistance = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "line-distance"));
    public final static OdfStyleProperty Luminance = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "luminance"));
    public final static OdfStyleProperty MarkerEnd = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "marker-end"));
    public final static OdfStyleProperty MarkerEndCenter = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "marker-end-center"));
    public final static OdfStyleProperty MarkerEndWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "marker-end-width"));
    public final static OdfStyleProperty MarkerStart = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "marker-start"));
    public final static OdfStyleProperty MarkerStartCenter = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "marker-start-center"));
    public final static OdfStyleProperty MarkerStartWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "marker-start-width"));
    public final static OdfStyleProperty MeasureAlign = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "measure-align"));
    public final static OdfStyleProperty MeasureVerticalAlign = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "measure-vertical-align"));
    public final static OdfStyleProperty OleDrawAspect = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "ole-draw-aspect"));
    public final static OdfStyleProperty Parallel = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "parallel"));
    public final static OdfStyleProperty Placing = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "placing"));
    public final static OdfStyleProperty Red = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "red"));
    public final static OdfStyleProperty DrawShadow = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "shadow"));
    public final static OdfStyleProperty ShadowColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "shadow-color"));
    public final static OdfStyleProperty ShadowOffsetX = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "shadow-offset-x"));
    public final static OdfStyleProperty ShadowOffsetY = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "shadow-offset-y"));
    public final static OdfStyleProperty ShadowOpacity = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "shadow-opacity"));
    public final static OdfStyleProperty ShowUnit = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "show-unit"));
    public final static OdfStyleProperty StartGuide = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "start-guide"));
    public final static OdfStyleProperty StartLineSpacingHorizontal = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "start-line-spacing-horizontal"));
    public final static OdfStyleProperty StartLineSpacingVertical = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "start-line-spacing-vertical"));
    public final static OdfStyleProperty Stroke = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "stroke"));
    public final static OdfStyleProperty StrokeDash = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "stroke-dash"));
    public final static OdfStyleProperty StrokeDashNames = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "stroke-dash-names"));
    public final static OdfStyleProperty StrokeLinejoin = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "stroke-linejoin"));
    public final static OdfStyleProperty SymbolColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "symbol-color"));
    public final static OdfStyleProperty TextareaHorizontalAlign = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "textarea-horizontal-align"));
    public final static OdfStyleProperty TextareaVerticalAlign = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "textarea-vertical-align"));
    public final static OdfStyleProperty Unit = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "unit"));
    public final static OdfStyleProperty VisibleAreaHeight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "visible-area-height"));
    public final static OdfStyleProperty VisibleAreaLeft = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "visible-area-left"));
    public final static OdfStyleProperty VisibleAreaTop = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "visible-area-top"));
    public final static OdfStyleProperty VisibleAreaWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "visible-area-width"));
    public final static OdfStyleProperty WrapInfluenceOnPosition = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "wrap-influence-on-position"));
    public final static OdfStyleProperty BackgroundColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "background-color"));
    public final static OdfStyleProperty Border = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "border"));
    public final static OdfStyleProperty BorderBottom = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "border-bottom"));
    public final static OdfStyleProperty BorderLeft = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "border-left"));
    public final static OdfStyleProperty BorderRight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "border-right"));
    public final static OdfStyleProperty BorderTop = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "border-top"));
    public final static OdfStyleProperty Clip = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "clip"));
    public final static OdfStyleProperty Margin = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "margin"));
    public final static OdfStyleProperty MarginBottom = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "margin-bottom"));
    public final static OdfStyleProperty MarginLeft = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "margin-left"));
    public final static OdfStyleProperty MarginRight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "margin-right"));
    public final static OdfStyleProperty MarginTop = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "margin-top"));
    public final static OdfStyleProperty MaxHeight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "max-height"));
    public final static OdfStyleProperty MaxWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "max-width"));
    public final static OdfStyleProperty MinHeight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "min-height"));
    public final static OdfStyleProperty MinWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "min-width"));
    public final static OdfStyleProperty Padding = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "padding"));
    public final static OdfStyleProperty PaddingBottom = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "padding-bottom"));
    public final static OdfStyleProperty PaddingLeft = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "padding-left"));
    public final static OdfStyleProperty PaddingRight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "padding-right"));
    public final static OdfStyleProperty PaddingTop = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "padding-top"));
    public final static OdfStyleProperty WrapOption = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.FO), "wrap-option"));
    public final static OdfStyleProperty BorderLineWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "border-line-width"));
    public final static OdfStyleProperty BorderLineWidthBottom = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "border-line-width-bottom"));
    public final static OdfStyleProperty BorderLineWidthLeft = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "border-line-width-left"));
    public final static OdfStyleProperty BorderLineWidthRight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "border-line-width-right"));
    public final static OdfStyleProperty BorderLineWidthTop = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "border-line-width-top"));
    public final static OdfStyleProperty Editable = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "editable"));
    public final static OdfStyleProperty FlowWithText = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "flow-with-text"));
    public final static OdfStyleProperty HorizontalPos = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "horizontal-pos"));
    public final static OdfStyleProperty HorizontalRel = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "horizontal-rel"));
    public final static OdfStyleProperty Mirror = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "mirror"));
    public final static OdfStyleProperty NumberWrappedParagraphs = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "number-wrapped-paragraphs"));
    public final static OdfStyleProperty OverflowBehavior = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "overflow-behavior"));
    public final static OdfStyleProperty PrintContent = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "print-content"));
    public final static OdfStyleProperty Protect = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "protect"));
    public final static OdfStyleProperty RelHeight = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "rel-height"));
    public final static OdfStyleProperty RelWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "rel-width"));
    public final static OdfStyleProperty RunThrough = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "run-through"));
    public final static OdfStyleProperty StyleShadow = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "shadow"));
    public final static OdfStyleProperty VerticalPos = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "vertical-pos"));
    public final static OdfStyleProperty VerticalRel = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "vertical-rel"));
    public final static OdfStyleProperty Wrap = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "wrap"));
    public final static OdfStyleProperty WrapContour = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "wrap-contour"));
    public final static OdfStyleProperty WrapContourMode = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "wrap-contour-mode"));
    public final static OdfStyleProperty WrapDynamicThreshold = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "wrap-dynamic-threshold"));
    public final static OdfStyleProperty WritingMode = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "writing-mode"));
    public final static OdfStyleProperty Height = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "height"));
    public final static OdfStyleProperty StrokeColor = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "stroke-color"));
    public final static OdfStyleProperty StrokeOpacity = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "stroke-opacity"));
    public final static OdfStyleProperty StrokeWidth = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "stroke-width"));
    public final static OdfStyleProperty Width = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "width"));
    public final static OdfStyleProperty X = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "x"));
    public final static OdfStyleProperty Y = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "y"));
    public final static OdfStyleProperty AnchorPageNumber = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "anchor-page-number"));
    public final static OdfStyleProperty AnchorType = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "anchor-type"));
    public final static OdfStyleProperty Animation = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation"));
    public final static OdfStyleProperty AnimationDelay = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation-delay"));
    public final static OdfStyleProperty AnimationDirection = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation-direction"));
    public final static OdfStyleProperty AnimationRepeat = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation-repeat"));
    public final static OdfStyleProperty AnimationStartInside = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation-start-inside"));
    public final static OdfStyleProperty AnimationSteps = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation-steps"));
    public final static OdfStyleProperty AnimationStopInside = 
        OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.TEXT), "animation-stop-inside"));
    public final static OdfStyleProperty StrokeLinecap = 
    	OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.SVG), "stroke-linecap"));
    public final static OdfStyleProperty ShrinkToFit = 
    	OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "shrink-to-fit"));
    public final static OdfStyleProperty BackgroundTransparency = 
    	OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.STYLE), "background-transparency"));
    public final static OdfStyleProperty DrawAspect = 
    	OdfStyleProperty.get(OdfStylePropertiesSet.GraphicProperties, OdfName.newName(OdfNamespace.newNamespace(OdfNamespaceNames.DRAW), "draw-aspect"));

}
